net.i2p.i2ptunnel.streamr

## Class MultiSource

- java.lang.Object
- - net.i2p.i2ptunnel.streamr.MultiSource

All Implemented Interfaces:
  Sink, Source

    public class MultiSource
    extends Object
    implements Source, Sink

Sends to many Sinks

Author:
  welterde, zzz modded for I2PTunnel

### Constructor Summary

Constructors
Constructor and Description
`MultiSource()`

### Method Summary

Methods
`void` `add(Destination sink)`
`void` `remove(Destination sink)`
`void` `send(Destination ignored_from, byte[] data)`
`void` `setSink(Sink sink)`
`void` `start()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiSource

    public MultiSource()

### Method Detail

#### setSink

    public void setSink(Sink sink)

Specified by:
  `setSink` in interface `Source`

#### start

    public void start()

Specified by:
  `start` in interface `Source`

#### stop

    public void stop()

#### send

    public void send(Destination ignored_from,
            byte[] data)

Specified by:
  `send` in interface `Sink`

#### add

    public void add(Destination sink)

#### remove

    public void remove(Destination sink)